Axis2/C: axiom_xml_reader_ops Struct Reference

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axiom_xml_reader_ops Struct Reference
[XML reader]

AXIOM_XML_READER ops Encapsulator struct for ops of axiom_xml_reader. More...

`#include <axiom_xml_reader.h>`

List of all members.

## Public Attributes
int(* | next )(axiom_xml_reader_t *parser, const axutil_env_t *env)
void(* | free )(axiom_xml_reader_t *parser, const axutil_env_t *env)
int(* | get_attribute_count )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_attribute_name_by_number )(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)
axis2_char_t *(* | get_attribute_prefix_by_number )(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)
axis2_char_t *(* | get_attribute_value_by_number )(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)
axis2_char_t *(* | get_attribute_namespace_by_number )(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)
axis2_char_t *(* | get_value )(axiom_xml_reader_t *parser, const axutil_env_t *env)
int(* | get_namespace_count )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_namespace_uri_by_number )(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)
axis2_char_t *(* | get_namespace_prefix_by_number )(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)
axis2_char_t *(* | get_prefix )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_name )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_pi_target )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_pi_data )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_dtd )(axiom_xml_reader_t *parser, const axutil_env_t *env)
void(* | xml_free )(axiom_xml_reader_t *parser, const axutil_env_t *env, void *data)
axis2_char_t *(* | get_char_set_encoding )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_namespace_uri )(axiom_xml_reader_t *parser, const axutil_env_t *env)
axis2_char_t *(* | get_namespace_uri_by_prefix )(axiom_xml_reader_t *parser, const axutil_env_t *env, axis2_char_t *prefix)

## Detailed Description

AXIOM_XML_READER ops Encapsulator struct for ops of axiom_xml_reader.

## Member Data Documentation

int( * axiom_xml_reader_ops::next)(axiom_xml_reader_t *parser, const axutil_env_t *env)

causes the reader to read the next parse event. returns the event just read

Parameters:

  | parser | axiom_xml_reader struct
  | env | axutil_environment, MUST NOT be NULL

Returns:
  one of the events defined in axiom_xml_reader_event_types

void( * axiom_xml_reader_ops::free)(axiom_xml_reader_t *parser, const axutil_env_t *env)

free pull_parser

Parameters:

  | parser | axiom_xml_reader struct
  | env | axutil_environment MUST NOT be NULL

Returns:
  axis2_status_code

int( * axiom_xml_reader_ops::get_attribute_count)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Get the Number of attributes in the current element

Parameters:

  | parser | axiom_xml_reader
  | env | axutil_environment, MUST NOT be NULL.

Returns:
  Number of attributes , AXIS2_FAILURE on error

axis2_char_t*( * axiom_xml_reader_ops::get_attribute_name_by_number)(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)

This is used to get an attribute's localname using an index relative to current element.The iterations are not zero based. To access the first attribute use 1 for parameter i

Parameters:

  | parser | parser struct
  | env | environment struct
  | i | attribute index

Returns:
  the attribute localname caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_attribute_prefix_by_number)(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)

This is used to get an attribute's prefix using an index relative to current element. The iterations are not zero based. To access the first attribute use 1 for parameter i

Parameters:

  | parser | parser struct
  | env | environment, MUST NOT be NULL
  | i | attribute index.

Returns:
  the attribute prefix, returns NULL on error, caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_attribute_value_by_number)(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)

Gets an attribute's value using an index relative to current element. The iterations are not zero based. To access the first attribute use 1 for parameter i

Parameters:

  | parser | parser struct
  | env | environment, MUST NOT be NULL.
  | i | attribute index

Returns:
  the attribute value, returns NULL on error, caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_attribute_namespace_by_number)(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)

Gets an attribute's namespace uri using an index relative to current element. The iterations are not zero based. To access the first attribute use 1 for parameter i

Parameters:

  | parser | parser struct
  | env | environment struct
  | i | attribute index

Returns:
  the attribute value, returns NULL on error caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_value)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Returns the text value of current element

Parameters:

  | parser | pointer to parser
  | env | environment, MUST not be NULL

Returns:
  Text Value, NULL on error caller must free the value using axiom_xml_reader_xml_free macro

int( * axiom_xml_reader_ops::get_namespace_count)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Returns the namespace count of current element

Parameters:

  | parser | parser struct
  | env | environment

Returns:
  namespace count of current element,

axis2_char_t*( * axiom_xml_reader_ops::get_namespace_uri_by_number)(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)

Accesses the namespace uri of the namespaces declared in current element using an index

Parameters:

  | parser | parser struct
  | env | environment
  | i | index

Returns:
  namespace uri of corresponding namespace caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_namespace_prefix_by_number)(axiom_xml_reader_t *parser, const axutil_env_t *env, int i)

Accesses the namespace prefix of the namespaces declared in current element using an index

Parameters:

  | parser | parser struct
  | env | environment
  | i | index

Returns:
  namespace prefix of corresponding namespace caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_prefix)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Used to obtain the current element prefix

Parameters:

  | parser | parser struct
  | env | environment struct

Returns:
  prefix , NULL on error caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_name)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Used to obtain the current element localname

Parameters:

  | parser | parser struct
  | env | environment struct

Returns:
  localname , NULL on error caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_pi_target)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Used to get the processingInstruction target

Parameters:

  | parser | parser struct
  | env | environment, MUST NOT be NULL.

Returns:
  target value of processingInstruction caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_pi_data)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Gets the processingInstruction data

Parameters:

  | parser | parser struct
  | env | environment, MUST NOT be NULL.

Returns:
  data of processingInstruction caller must free the value using axiom_xml_reader_xml_free macro

axis2_char_t*( * axiom_xml_reader_ops::get_dtd)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Used to get the DTD

Parameters:

  | parser | pointer to pull parser struct
  | env | environment, MUST NOT be NULL.

Returns:
  text of doctype declaration. NULL is returns of no data exists.

void( * axiom_xml_reader_ops::xml_free)(axiom_xml_reader_t *parser, const axutil_env_t *env, void *data)

Free function , this function wraps the underlying parser's xml free function. For freeing values obatined by calling pull parser api methods, This function must be used.

Parameters:

  | parser | pointer to axiom_xml_reader
  | env | environment, MUST NOT be NULL.
  | data | data values to be destroyed

Returns:
  status of the op, AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_char_t*( * axiom_xml_reader_ops::get_char_set_encoding)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Gets the char set encoding of the parser

Parameters:

  | parser | xml parser
  | env | environment

Returns:
  char set encoding string or NULL in failure

axis2_char_t*( * axiom_xml_reader_ops::get_namespace_uri)(axiom_xml_reader_t *parser, const axutil_env_t *env)

Returns the namespace uri associated with current node

The documentation for this struct was generated from the following file:

- axiom_xml_reader.h